document.addEventListener("DOMContentLoaded", () => {
    let authLoginInputVal = "";
    let authPasswordInputVal = "";
    let regisLoginInputVal = "";
    let regisPasswordInputVal = "";
    let regisPasswordVerifyInputVal = "";

    const changeHandler = (event) => {
        switch (event.target.className) {
            case "authLogin":
                authLoginInputVal = event.target.value;
                break;
            case "authPassword":
                authPasswordInputVal = event.target.value;
                break;
            case "regisLogin":
                regisLoginInputVal = event.target.value;
                break;
            case "regisPassword":
                regisPasswordInputVal = event.target.value;
                break;            
            case "regisVerifyPassword":
                regisPasswordVerifyInputVal = event.target.value;
                break;
            default:
                break;
        };
    };

    const clickHandler = (event) => {
        if(event.target.className === "spanCreate") {
            formLogin.style.display = "none";
            formRegister.style.display = "flex";
        } else {
            formLogin.style.display = "flex";
            formRegister.style.display = "none";
        };
    };

    const formLogin = document.getElementById("form_login");
    const authLoginInput = formLogin.children[1];
    const authPasswordInput = formLogin.children[2];
    const authSpan = formLogin.children[4];

    const formRegister = document.getElementById("register_form");
    const regisLoginInput = formRegister.children[1];
    const regisPasswordInput = formRegister.children[2];
    const regisPasswordVerifyInput = formRegister.children[3];
    const regisSpan = formRegister.children[5];

    authLoginInput.addEventListener("keydown", changeHandler);
    authPasswordInput.addEventListener("keydown", changeHandler);
    regisLoginInput.addEventListener("keydown", changeHandler);
    regisPasswordInput.addEventListener("keydown", changeHandler);
    regisPasswordVerifyInput.addEventListener("keydown", changeHandler);

    authSpan.addEventListener("click", clickHandler);
    regisSpan.addEventListener("click", clickHandler);

    formLogin.addEventListener("submit", (event) => {
        event.preventDefault();

        if(!authLoginInputVal || !authPasswordInputVal) {
            alert("Заполните все поля!");
        } else {
            const storageLogin = localStorage.getItem("login");

            if(authLoginInputVal === storageLogin) {
                alert(`Добро пожаловать! ${authLoginInputVal}`);
            } else {
                alert("Пользователь с таким логином не найден.")
            };
        };
    });

    formRegister.addEventListener("submit", (event) => {
        event.preventDefault();

        if(!regisLoginInputVal || !regisPasswordInputVal || !regisPasswordVerifyInputVal) {
            alert("Заполните все поля!");
        } else {
            console.log(regisPasswordVerifyInputVal, regisPasswordInputVal);
            if(regisPasswordInputVal === regisPasswordVerifyInputVal) {
                alert(`Добро пожаловать! ${regisLoginInputVal}`);
                localStorage.setItem("login", regisLoginInputVal);
            } else {
                alert("Пароль не совпадает");
            };
        };
    });
});